# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_LODEvaluator Struct Reference

VLX wrapper of vl::DistanceLODEvaluator and vl::PixelLODEvaluator. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_LODEvaluator:

List of all members.

## Public Member Functions

void | importLODEvaluator (VLXSerializer &s, const VLXStructure *vlx, LODEvaluator *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportLODEvaluator (VLXSerializer &s, const LODEvaluator *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::DistanceLODEvaluator and vl::PixelLODEvaluator.

Definition at line 1788 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_LODEvaluator::importLODEvaluator | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | LODEvaluator * | obj
| ) |  | `[inline]`

Definition at line 1790 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayReal, vl::Object::as(), vl::DistanceLODEvaluator::distanceRangeSet(), vl::VLXStructure::getValue(), NULL, vl::PixelLODEvaluator::pixelRangeSet(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_LODEvaluator::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1821 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importLODEvaluator(), NULL, vl::VLXSerializer::registerImportedStructure(), and vl::VLXTaggedValue::tag().

void vl::VLXClassWrapper_LODEvaluator::exportLODEvaluator | ( | VLXSerializer & | s,
|  | const LODEvaluator * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1846 of file VLXWrappers.hpp.

References vl::Object::as(), vl::DistanceLODEvaluator::distanceRangeSet(), vl::PixelLODEvaluator::pixelRangeSet(), and vl::VLXSerializer::signalExportError().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_LODEvaluator::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1873 of file VLXWrappers.hpp.

References vl::Object::as(), exportLODEvaluator(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.